# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

Name:           junitperf
Version:        1.9.1
Release:        %mkrel 11
Summary:        JUnit extension for performance and scalability testing
License:        BSD
Group:          Development/Java
Source0:        http://www.clarkware.com/software/junitperf-1.9.1.zip
Source1:        https://repository.jboss.org/nexus/content/repositories/thirdparty-uploads/junitperf/junitperf/%{version}/junitperf-%{version}.pom
URL:            http://www.clarkware.com/software/JUnitPerf.html
BuildRequires:  ant
BuildRequires:  ant-junit
BuildRequires:  java-devel
BuildRequires:  javapackages-local
BuildRequires:  junit >= 3.2
BuildArch:      noarch
Requires:       junit >= 3.2

%description
JUnitPerf is a collection of JUnit test decorators used to measure the
performance and scalability of functionality contained within existing
JUnit tests.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
%{summary}.

%package demo
Summary:        Demos and samples for %{name}
Requires:       %{name} = %{version}-%{release}

%description demo
%{summary}.

%prep
%setup -q

# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;

%build
CLASSPATH=$(build-classpath junit) ant -Dbuild.sysclasspath=first jar test javadoc

# request maven artifact installation
%mvn_artifact %{SOURCE1} dist/junitperf-%{version}.jar

%install
%mvn_install

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr build/docs/api/* %{buildroot}%{_javadocdir}/%{name}

# demo
install -d -m 0755 %{buildroot}%{_datadir}/%{name}
cp -pr samples %{buildroot}%{_datadir}/%{name}

%files -f .mfiles
%doc LICENSE README docs/JUnitPerf.html
%dir %{_javadir}/%{name}

%files javadoc
%doc LICENSE
%{_javadocdir}/%{name}

%files demo
%doc LICENSE
%{_datadir}/%{name}




%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.9.1-11.mga10
+ Revision: 2223456
- Mageia 10 Mass Rebuild

* Fri May 24 2024 ns80 <ns80> 1.9.1-10.mga10
+ Revision: 2067294
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 1.9.1-9.mga9
+ Revision: 1828756
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.9.1-8.mga8
+ Revision: 1501887
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.9.1-7.mga7
+ Revision: 1279164
- Mageia 7 Mass Rebuild

* Fri Sep 29 2017 daviddavid <daviddavid> 1.9.1-6.mga7
+ Revision: 1161776
- Install with maven (sync with fc27)

* Tue Feb 09 2016 umeabot <umeabot> 0:1.9.1-5.mga6
+ Revision: 952716
- Mageia 6 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 0:1.9.1-4.mga6
+ Revision: 930507
- Mageia 6 Mass Rebuild

* Sun May 17 2015 neoclust <neoclust> 0:1.9.1-3.mga5
+ Revision: 822184
- Remove old macro

* Thu Nov 06 2014 tv <tv> 0:1.9.1-2.1.15.mga5
+ Revision: 795936
- adjust file list
- adjust file list
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 0:1.9.1-2.1.14.mga5
+ Revision: 747729
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:1.9.1-2.1.13.mga5
+ Revision: 680900
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 luigiwalser <luigiwalser> 0:1.9.1-2.1.12.mga5
+ Revision: 665525
- drop gcj support

* Fri Oct 18 2013 umeabot <umeabot> 0:1.9.1-2.1.11.mga4
+ Revision: 506504
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0:1.9.1-2.1.10.mga3
+ Revision: 355722
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 09 2011 gil <gil> 0:1.9.1-2.1.9.mga2
+ Revision: 132410
- added maven2 pom

* Mon Jan 17 2011 dmorgan <dmorgan> 0:1.9.1-2.1.8.mga1
+ Revision: 21222
- imported package junitperf


* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.9.1-2.1.8mdv2010.1
+ Revision: 523408
- bump release
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0:1.9.1-2.1.5mdv2010.0
+ Revision: 425477
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0:1.9.1-2.1.4mdv2009.0
+ Revision: 140829
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0:1.9.1-2.1.4mdv2008.1
+ Revision: 120957
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:1.9.1-2.1.3mdv2008.0
+ Revision: 87452
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Tue Jul 03 2007 David Walluck <walluck@mandriva.org> 0:1.9.1-2.1.2mdv2008.0
+ Revision: 47401
- gcj support
- BuildRequires: java-devel
- remove Requires: java
- Import junitperf



* Thu Feb 15 2007 Deepak Bhole <dbhole@redhat.com> - 0:1.9.1-2jpp.1
- Fixed per Fedora spec

* Wed Nov 09 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.9.1-1jpp
- Upgrade to 1.9.1
- Add javadoc ghost symlink and post/postun

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:1.8-3jpp
- Rebuild with ant-1.6.2
* Thu Mar 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.8-2jpp
- Adapted to JPackage 1.5.

* Wed Mar  5 2003 Ville Skyttä <ville.skytta at iki.fi> - 1.8-1jpp
- Update to 1.8.
- Fix Group tags.
- Run unit tests during build.

* Tue Jul 16 2002 Ville Skyttä <ville.skytta at iki.fi> 1.7-1jpp
- Update to 1.7.
- Use sed instead of bash 2 extension when symlinking jars during build.
- Add Distribution tag.

* Mon Feb 04 2002 Guillaume Rousse <rousse@ccr.jussieu.fr> 1.6-1jpp
- first jpp release
